// -----------------------------------------------------------------------------
//
//   ABOUT: Shaders for "EvilSpaceRemix" map by Cortez
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
//
//    DATE: 17-Aug-2018
//
// -----------------------------------------------------------------------------


// lights

textures/map_evilspaceremix/e8tinylightblue
{
    qer_editorImage textures/map_evilspaceremix/e8/e8tinylightblue.tga

    q3map_lightRGB 0.811764 0.819607 1  // 207 209 255 RGB
    q3map_surfaceLight 2000
    q3map_lightSubdivide 64             // sets a pointlight every 64 game units

    {
        map textures/map_evilspaceremix/e8/e8tinylightblue.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8trimlight2
{
    qer_editorImage textures/map_evilspaceremix/e8/e8trimlight2.tga

    q3map_lightRGB 0.349019 0.564705 1  // 89 144 255 RGB
    q3map_surfaceLight 250
    q3map_lightSubdivide 64

    {
        map textures/map_evilspaceremix/e8/e8trimlight2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8lighttrim
{
    qer_editorImage textures/map_evilspaceremix/e8/e8lighttrim.tga

    q3map_lightRGB 0.811764 0.819607 1  // 207 209 255 RGB
    q3map_surfaceLight 750
    q3map_lightSubdivide 64

    {
        map textures/map_evilspaceremix/e8/e8lighttrim.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8beam_blue
{
    qer_editorImage textures/map_evilspaceremix/e8/e8beam_blue.tga

    cull none

    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap

    {
        map textures/map_evilspaceremix/e8/e8beam_blue.tga
        rgbGen identity
        tcMod scroll 0.3 0.0            // xSpeed ySpeed (textures per second)
        blendFunc add
    }
}

// Decals

textures/map_evilspaceremix/e8alphaspawn
{
    qer_editorImage textures/map_evilspaceremix/e8/e8alphaspawn.tga
    qer_alphaFunc gequal 0.5

    surfaceparm trans
    surfaceparm nonsolid

    noPicMip                  // ignores the r_picmip cvar (textures resolution)
    polygonOffset             // render the surface slightly separated from the brush

    {
        map textures/map_evilspaceremix/e8/e8alphaspawn.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8evilspacetxt
{
    qer_editorImage textures/map_evilspaceremix/e8/e8evilspacetxt.tga
    qer_alphaFunc gequal 0.5

    surfaceparm trans
    surfaceparm nonsolid

    noPicMip
    polygonOffset

    {
        map textures/map_evilspaceremix/e8/e8evilspacetxt.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8yarrow
{
    qer_editorImage textures/map_evilspaceremix/e8/e8yarrow.tga
    qer_alphaFunc gequal 0.5

    surfaceparm trans
    surfaceparm nonsolid

    noPicMip
    polygonOffset

    {
        map textures/map_evilspaceremix/e8/e8yarrow.tga
        rgbGen identity
        blendFunc blend
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Grating

textures/map_evilspaceremix/e8rail2
{
    qer_editorImage textures/map_evilspaceremix/e8/e8rail2.tga
    qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/map_evilspaceremix/e8rail2_back

    surfaceparm trans
    surfaceparm alphashadow

    {
        map textures/map_evilspaceremix/e8/e8rail2.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8rail2_back
{
    q3map_invert
    surfaceparm trans

    {
        map textures/map_evilspaceremix/e8/e8rail2.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8xgirder
{
    qer_editorImage textures/map_evilspaceremix/e8/e8xgirder.tga
    qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/map_evilspaceremix/e8xgirder_back

    surfaceparm trans
    surfaceparm alphashadow

    {
        map textures/map_evilspaceremix/e8/e8xgirder.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8xgirder_back
{
    q3map_invert
    surfaceparm trans

    {
        map textures/map_evilspaceremix/e8/e8xgirder.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8xgirder_small
{
    qer_editorImage textures/map_evilspaceremix/e8/e8xgirder_small.tga
    qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/map_evilspaceremix/e8xgirder_small_back

    surfaceparm trans
    surfaceparm alphashadow

    {
        map textures/map_evilspaceremix/e8/e8xgirder_small.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8xgirder_small_back
{
    q3map_invert
    surfaceparm trans

    {
        map textures/map_evilspaceremix/e8/e8xgirder_small.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8xgirder_small2
{
    qer_editorImage textures/map_evilspaceremix/e8/e8xgirder_small2.tga
    qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/map_evilspaceremix/e8xgirder_small2_back

    surfaceparm trans
    surfaceparm alphashadow

    {
        map textures/map_evilspaceremix/e8/e8xgirder_small2.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8xgirder_small2_back
{
    q3map_invert
    surfaceparm trans

    {
        map textures/map_evilspaceremix/e8/e8xgirder_small2.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

// Concrete & Metal

textures/map_evilspaceremix/e8_base1
{
    qer_editorImage textures/map_evilspaceremix/e8/e8_base1.tga

    {
        map textures/map_evilspaceremix/e8/e8_base1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8_base1c
{
    qer_editorImage textures/map_evilspaceremix/e8/e8_base1c.tga

    {
        map textures/map_evilspaceremix/e8/e8_base1c.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8_base1broke
{
    qer_editorImage textures/map_evilspaceremix/e8/e8_base1broke.tga

    q3map_nonPlanar                     // Phong shading and stop angle
    q3map_shadeAngle 75

    {
        map textures/map_evilspaceremix/e8/e8_base1broke.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8clangfloor05
{
    qer_editorImage textures/map_evilspaceremix/e8/e8clangfloor05.tga

    surfaparm metalsteps

    {
        map textures/map_evilspaceremix/e8/e8clangfloor05.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8bolttrim
{
    qer_editorImage textures/map_evilspaceremix/e8/e8bolttrim.tga

    {
        map textures/map_evilspaceremix/e8/e8bolttrim.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8warning2
{
    qer_editorImage textures/map_evilspaceremix/e8/e8warning2.tga

    {
        map textures/map_evilspaceremix/e8/e8warning2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8_mtlwall4
{
    qer_editorImage textures/map_evilspaceremix/evil8_wall/e8_mtlwall4.tga

    {
        map textures/map_evilspaceremix/evil8_wall/e8_mtlwall4.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Jumppads

textures/map_evilspaceremix/e8jumpspawn02b
{
    qer_editorImage textures/map_evilspaceremix/e8/e8jumpspawn02b-0.tga

    q3map_lightRGB 0.250980 0.498039 1  // 64 127 255 RGB
    q3map_surfaceLight 250
    q3map_lightSubdivide 64

    {
        animMap 12 textures/map_evilspaceremix/e8/e8jumpspawn02b-0 textures/map_evilspaceremix/e8/e8jumpspawn02b-1 textures/map_evilspaceremix/e8/e8jumpspawn02b-2 textures/map_evilspaceremix/e8/e8jumpspawn02b-3 textures/map_evilspaceremix/e8/e8jumpspawn02b-4 textures/map_evilspaceremix/e8/e8jumpspawn02b-5 textures/map_evilspaceremix/e8/e8jumpspawn02b-6
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/map_evilspaceremix/e8jumpspawn02c
{
    qer_editorImage textures/map_evilspaceremix/e8/e8jumpspawn02c-0.tga

    q3map_lightRGB 0.250980 0.498039 1  // 64 127 255 RGB
    q3map_surfaceLight 250
    q3map_lightSubdivide 64

    {
        animMap 12 textures/map_evilspaceremix/e8/e8jumpspawn02c-0 textures/map_evilspaceremix/e8/e8jumpspawn02c-1 textures/map_evilspaceremix/e8/e8jumpspawn02c-2 textures/map_evilspaceremix/e8/e8jumpspawn02c-3 textures/map_evilspaceremix/e8/e8jumpspawn02c-4 textures/map_evilspaceremix/e8/e8jumpspawn02c-5 textures/map_evilspaceremix/e8/e8jumpspawn02c-6
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
