// -----------------------------------------------------------------------------
//
//   ABOUT: Skybox textures from Xonotic Game (1024x1024 TGA)
//  AUTHOR: ??
// LICENSE: GPL
//     URL: http://www.xonotic.org
//
// SHADERS: Written by Julius aka Julio César (juliocesar2k7@gmail.com)
//    DATE: 09-Jul-2014, revised 13-Jun-2018
//
// -----------------------------------------------------------------------------


// Sky -------------------------------------------------------------------------

textures/map_evilspaceremix/sky_BACK
{
    qer_editorImage env/planets/planets_preview.jpg
    skyParms env/planets/planets - -

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm nolightmap

    noPicMip
    noMipMaps

    // q3map_sunExt <R> <G> <B>  <intensity>  <degrees> <elevation>  <deviance> <samples>
    //  degrees:   0=east, 90=north, 180=west, 270=south
    //  elevation: 0=dawn/sunset, 90=noon

    // Orange35 8% (from 16%)
    q3map_sunExt 1 0.964705 0.921568 150 124 55 1 16   // 56º West-North, 55º elevation

    // Blue210 4%
    q3map_lightRGB 0.960784 0.980392 1
    q3map_lightmapFilterRadius 0 8
    q3map_skyLight 25 6

    // Blue210 4%
    // _floodlight 245 250 255 512 8                   // for map's worldspawn
}

// Sky -------------------------------------------------------------------------

textures/map_evilspaceremix/sky
{
    qer_editorImage env/sky/sky1_preview.jpg
    skyParms env/sky/sky1 - -

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm nolightmap

    noPicMip
    noMipMaps

    // q3map_sunExt <R> <G> <B>  <intensity>  <degrees> <elevation>  <deviance> <samples>
    //  degrees:   0=east, 90=north, 180=west, 270=south
    //  elevation: 0=dawn/sunset, 90=noon

    // Orange35 16%
    q3map_sunExt 1 0.933333 0.839215 150 330 35 1 16   // 30º East-South, 34º elevation

    // Blue210 4%
    q3map_lightRGB 0.960784 0.980392 1
    q3map_lightmapFilterRadius 0 8
    q3map_skyLight 25 6

    // Blue210 4%
    // _floodlight 245 250 255 512 8                   // for map's worldspawn
}

// EOF ------------------------------- EOF --------------------------------- EOF
